#
# Conditional build:
%bcond_with	tests	# perform "make test" (fetches URL passed interactively)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Curl
Summary:	WWW::Curl::easy - Perl extension interface for libcurl
Summary(pl.UTF-8):	WWW::Curl::easy - interfejs perlowy do biblioteki libcurl
Name:		perl-WWW-Curl
Version:	4.15
Release:	4
License:	MPL or MIT/X
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SZ/SZBALINT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31c0b8c7e5e2d26bcc8213d702186d5f
URL:		http://curl.haxx.se/libcurl/perl/
BuildRequires:	curl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Curl-easy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Curl::easy provides an interface to the libcurl C library
<http://curl.haxx.se/>.

Before v2.0, this module was called 'Curl::easy'. The name has changed
to better suit CPAN naming guidelines.

%description -l pl.UTF-8
WWW::Curl::easy dostarcza interfejs do biblioteki C libcurl
<http://curl.haxx.se/>.

Przed wersją 2.0 ten moduł nazywał się Curl::easy. Nazwa została
zmieniona, aby lepiej pasowała do wytycznych CPAN dotyczących
nazewnictwa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/WWW/Curl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/WWW/Curl.pm
%{perl_vendorarch}/WWW/Curl
%dir %{perl_vendorarch}/auto/WWW/Curl
%attr(755,root,root) %{perl_vendorarch}/auto/WWW/Curl/Curl.so
%{_mandir}/man3/WWW::Curl.3pm*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-WWW-Curl.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 86e7eb4
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6e74e74
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 201df34
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c950c3d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 0e3c805
- updated to 4.15

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> dc45b14
- rel 2

* Tue Oct 26 2010 lisu <lisu@pld-linux.org> d879478
- 4.14

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> eb73068
- rel 2

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 1eab0de
- do not perform tests by default (thx glen)

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 6ffbffe
- up to 4.13
- why not enable tests by default?

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 85f9238
- rel 2

* Thu Jul 08 2010 lisu <lisu@pld-linux.org> 46bb0fc
- 4.12

* Sun Jun 06 2010 radek <radek@pld-linux.org> 5a3d0d1
- switch Source0 to by-authors index

* Mon Apr 26 2010 lisu <lisu@pld-linux.org> 526df41
- 4.11

* Wed Jul 15 2009 lisu <lisu@pld-linux.org> ebaf617
- 4.09

* Tue Jun 02 2009 lisu <lisu@pld-linux.org> af486ff
- 4.0.7

* Tue Apr 07 2009 lisu <lisu@pld-linux.org> 96fe6d9
- 4.0.6

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 9266afa
- release 3

* Tue Jan 20 2009 Elan Ruusamäe <glen@pld-linux.org> 5d62af1
- release 2

* Thu Dec 11 2008 Elan Ruusamäe <glen@pld-linux.org> 8b7228f
- check-files cleanup

